package F5::CommonUpgrade::MethodCodeToName;

use base 'F5::CommonUpgrade::Base';
use F5::ASMConfig::Entity::AllowedMethod;
use F5::DbUtils;

our $max_version = '17.1.0';
our $tables_handled = [ qw(
                            PLC.PL_FLOWS
                            PLC.PL_ALLOWED_METHODS
                           )
                     ];

#----------------------------------------------------------------------

sub row_fixup {
    my($self, %params) = @_;
    my $row = $params{row};

    my $method_code = $row->{method} || $row->{method_code};
    return if ($row->{method_name} || !$method_code);
    $row->{method_name} = F5::ASMConfig::Entity::AllowedMethod->get_method_name(dbh => $self->{dbh},
                                                                 code => $method_code,
                                                                );

    $row->{rest_uuid} = ''; #To be repopulated
}

#----------------------------------------------------------------------

1;
