#!/usr/bin/perl

use strict;
use warnings;

use FindBin;
use lib $FindBin::Bin;

use IO::File;
use Getopt::Long;
use YAML::XS;
use F5::BdCfgTables;

my ($base_dir, $out_dir);
GetOptions('base_dir|d=s' => \$base_dir,
           'out_dir|o=s'  => \$out_dir);

generate_golang_mapping();
#----------------------------------------------------------------------

sub generate_golang_mapping {
    my (%params) = @_;
    my $dcc_table_cfg = F5::BdCfgTables::get_dcc_table_config(base_dir => $base_dir);
    my $dcc_map = join("\n\t\t", map { "\"$_->{output_file}\": $_->{table_index}," } @$dcc_table_cfg);
    open (my $outf, '>', "$out_dir/dcc_tables_cfg.go");
    print $outf <<EOF;
package datafile

var dccTableMap map[string]int

func init () {
	dccTableMap = map[string]int{
		$dcc_map
	}
}

func GetDccTableMap() map[string]int {
	return dccTableMap
}
EOF

}
